Jump to content

Recommended Posts

Posted

Drawing1.dwg

Hello friends
I have a drawing where the dimension values are currently being reversed. Do you guys have any solution to handle my attached drawing. Hope the helping

Posted

@SLW210 This isn't really a lisp issue its more of a interface one.

 

They were made when facing the wrong way (Bottom view I think). So their 210 looks like (210 0.0 0.0 -1.0)

 

This will mirror them around but the right way but also wont 100% fix the issue. because some will have to be adjusted.

;;----------------------------------------------------------------------------;;
;; Flips Backwards ploylines
(defun C:SWAP (/ SS)
  (if (setq SS (ssget "_X" '((210 0.0 0.0 -1.0))))
    (progn
      (vl-cmdf "_.Mirror3d" SS "" "xy" "0,0,0" "y")
      (prompt (strcat "\nEntities Swapped: " (itoa (sslength SS))))
    )
    (prompt "\nNothing to Swap!")
  )
  (princ)
)

 

image.thumb.png.84c1ce4dc208e20699d40b2a380c9c37.png

 

 

  • Like 1
Posted
5 minutes ago, mhupp said:

@SLW210 This isn't really a lisp issue its more of a interface one.

 

They were made when facing the wrong way (Bottom view I think). So their 210 looks like (210 0.0 0.0 -1.0)

 

This will mirror them around but the right way but also wont 100% fix the issue. because some will have to be adjusted.

;;----------------------------------------------------------------------------;;
;; Flips Backwards ploylines
(defun C:SWAP (/ SS)
  (if (setq SS (ssget "_X" '((210 0.0 0.0 -1.0))))
    (progn
      (vl-cmdf "_.Mirror3d" SS "" "xy" "0,0,0" "y")
      (prompt (strcat "\nEntities Swapped: " (itoa (sslength SS))))
    )
    (prompt "\nNothing to Swap!")
  )
  (princ)
)

 

image.thumb.png.84c1ce4dc208e20699d40b2a380c9c37.png

 

 

thank you very much. It helps me a lot

  • Like 1
Posted
4 hours ago, mhupp said:

@SLW210 This isn't really a lisp issue its more of a interface one.

 

They were made when facing the wrong way (Bottom view I think). So their 210 looks like (210 0.0 0.0 -1.0)

 

This will mirror them around but the right way but also wont 100% fix the issue. because some will have to be adjusted.

;;----------------------------------------------------------------------------;;
;; Flips Backwards ploylines
(defun C:SWAP (/ SS)
  (if (setq SS (ssget "_X" '((210 0.0 0.0 -1.0))))
    (progn
      (vl-cmdf "_.Mirror3d" SS "" "xy" "0,0,0" "y")
      (prompt (strcat "\nEntities Swapped: " (itoa (sslength SS))))
    )
    (prompt "\nNothing to Swap!")
  )
  (princ)
)

 

image.thumb.png.84c1ce4dc208e20699d40b2a380c9c37.png

 

 

This is what it is, isn't it?

A9.jpg

  • Agree 1
Posted

Yes, whomever was in that view when the dimension where made or they got flipped somehow. making them upside down when viewed from top

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...